org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryRingLatencyCheckMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryRingLatencyCheckMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryRingLatencyCheckMessage
    extends TcpDiscoveryAbstractMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryRingLatencyCheckMessage(UUID creatorNodeId, int maxHops)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `maxHops()`
`boolean` `maxHopsReached()`
`void` `onRead()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryRingLatencyCheckMessage

    public TcpDiscoveryRingLatencyCheckMessage(UUID creatorNodeId,
                                               int maxHops)

Parameters:
  `creatorNodeId` - Creator node ID.
  `maxHops` - Max hops for this message.

### Method Detail

#### onRead

    public void onRead()

#### maxHops

    public int maxHops()

Returns:
  Max hops.

#### maxHopsReached

    public boolean maxHopsReached()

Returns:
  `True` if max hops has been reached.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020